#include<bits/stdc++.h>
#define int long long
using namespace std;

signed main(){ 
	freopen("plant.in","w",stdout);
	puts("1 0");
	puts("1000 1000 1 1");
	for(int i=1;i<=1000;++i){
		for(int j=1;j<=1000;++j) printf("0");
		puts("");
	}
	
	return 0;
}